Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.util
Class InMemoryLRUResourceCache<V>

    java.lang.Object
      org.apache.cocoon.sax.util.InMemoryLRUResourceCache<V>

All Implemented Interfaces:
  Serializable

    public final class InMemoryLRUResourceCache<V>

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`InMemoryLRUResourceCache()`

Method Summary
`boolean` | `containsKey(URL key)` Returns true if this cache contains a mapping for the specified key.
`V` | `get(URL key)` Returns the value to which the specified key is cached, or null if this cache contains no mapping for the key.
`void` | `put(URL key, V value)` Associates the specified value with the specified key in this cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryLRUResourceCache

    public InMemoryLRUResourceCache()

Method Detail

### containsKey

    public boolean containsKey(URL key)

  Returns true if this cache contains a mapping for the specified key.

  Parameters:
    `key` - key whose presence in this map is to be tested.
  Returns:
    true if this map contains a mapping for the specified key, false otherwise.

### get

    public V get(URL key)

  Returns the value to which the specified key is cached, or null if this cache contains no mapping for the key. Key parameter must not be null.

  Parameters:
    `key` - the key has to be checked it is present, it must not be null.
  Returns:
    the value to which the specified key is cached, null if this cache contains no mapping for the key.

### put

    public void put(URL key,
                    V value)

  Associates the specified value with the specified key in this cache. Key parameter must not be null.

  Parameters:
    `key` - key with which the specified value is to be associated.
    `value` - value to be associated with the specified key.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.